org.bouncycastle.crypto.tls

## Class TlsInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.bouncycastle.crypto.tls.TlsInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class TlsInputStream
    extends java.io.InputStream

An InputStream for an TLS 1.0 connection.

### Method Summary

Methods
`void` `close()`
`int` `read()`
`int` `read(byte[] buf, int offset, int len)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public int read(byte[] buf,
           int offset,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`